Install NI Picture Quality Analysis (PQA) to Newer Versions of TestStand and LabVIEW

Updated Jul 11, 2018

Reported In

Software

  • Picture Quality Analysis Software
  • Picture Quality Analysis Software 2014
  • LabVIEW
  • TestStand

Issue Details

I have a version of NI Picture Quality Analysis (PQA) that does not support a newer version of TestStand or LabVIEW that I would like to use. For example, I have LabVIEW 2017 and I would like to install NI PQA 2014, which only supports up to LabVIEW 2014. How can I add this support to my development environment?

Solution

To install support for a newer version of TestStand or LabVIEW, complete the following steps:
1. Start the PQA installer.
2. In the Features dialog, select an entry for either TestStand or LabVIEW support, depending on which environment you want to install support for.
3. Use the Browse button or manually edit the installation path to the TestStand or LabVIEW directory for the version of your choice.
4. Click Next and follow the prompts to complete the installation.

Figure 1 illustrates how to include PQA 2014 support for LabVIEW 2017. Please note that your National Instruments installation directories may be in a different location from that shown below.

Figure 1. NI PQA 2014 installation for LabVIEW 2017
 

Additional Information

NI PQA support can typically be added to later versions of TestStand and LabVIEW that aren't supported by the PQA installer. While the functionality of the PQA software is not officially supported in later versions of LabVIEW and TestStand than those referenced in the software readme, typically these configurations will still work. 

Note: The process described in this article cannot be used to install support for a 64-bit version of TestStand. TestStand 64-bit is not supported by PQA.  You may receive a type conflict message when you open TestStand after installing PQA using the process described above. 

WAS THIS ARTICLE HELPFUL?

Not Helpful